Last Comment Bug 1163306 - Re-enable libical tests and disable ical.js in nightly builds when binary compatibility is back
: Re-enable libical tests and disable ical.js in nightly builds when binary com...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Lightning 4.2
: All All
-- normal (vote)
: 4.2
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on: 1162300 1165428
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-09 07:17 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-06-29 08:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Force disable libical - v1 (1.05 KB, patch)
2015-05-21 09:40 PDT, Philipp Kewisch [:Fallen]
ssitter: review+
ssitter: checkin+
Details | Diff | Splinter Review
enables icaljs only on comm-central (1.10 KB, patch)
2015-06-20 06:18 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-05-09 07:17:33 PDT
In bug 1162300 we enabled ical.js for nightly builds and also disabled libical for the tests. We should revert this once binary compatibility is back.
Comment 1 User image Stefan Sitter 2015-05-14 07:57:22 PDT
Do you know the bug # to add back support for extensions with binary XPCOM components in Thunderbird?
Comment 2 User image Philipp Kewisch [:Fallen] 2015-05-15 02:12:17 PDT
I haven't filed it yet, nor searched for one. The patch is almost ready though.
Comment 3 User image Philipp Kewisch [:Fallen] 2015-05-21 07:33:40 PDT
https://hg.mozilla.org/comm-central/rev/3318e9799d45 for re-enabling tests, we can switch back to libical once the tests pass.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-05-21 07:36:45 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/857f3791ddf8 for re-enabling tests on aurora.
Comment 5 User image Stefan Sitter 2015-05-21 08:49:22 PDT
Will they run with libical when calendar.icaljs is set to true? Maybe we need something like head_icaljs.js for libical that will set calendar.icaljs to false before the test.
Comment 6 User image Philipp Kewisch [:Fallen] 2015-05-21 09:40:10 PDT
Created attachment 8608816 [details] [diff] [review]
Force disable libical - v1

Something like this?
Comment 7 User image Treeherder Robot 2015-05-21 09:41:50 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18901
repository: comm-central
start_time: 2015-05-21T08:31:05
who: mozilla[at]kewis[dot]ch
machine: t-snow-r4-0098
buildname: TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 8 User image Treeherder Robot 2015-05-21 09:41:52 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18902
repository: comm-central
start_time: 2015-05-21T08:31:05
who: mozilla[at]kewis[dot]ch
machine: t-yosemite-r5-0016
buildname: TB Rev5 MacOSX Yosemite 10.10 comm-central debug test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/DailyDebug.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 9 User image Treeherder Robot 2015-05-21 09:41:53 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18898
repository: comm-central
start_time: 2015-05-21T08:25:07
who: mozilla[at]kewis[dot]ch
machine: tst-linux64-spot-1380
buildname: Ubuntu VM 12.04 x64 comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
Return code: 1
Comment 10 User image Treeherder Robot 2015-05-21 09:41:54 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18894
repository: comm-central
start_time: 2015-05-21T08:16:11
who: mozilla[at]kewis[dot]ch
machine: tst-linux32-spot-583
buildname: Ubuntu VM 12.04 comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
Automation Error: mozprocess timed out after 1000 seconds running ['/builds/slave/test/build/venv/bin/python', '-u', '/builds/slave/test/build/tests/xpcshell/runxpcshelltests.py', '--symbols-path=https://ftp-ssl.mozilla.org/pub/mozilla.org/thunderbird/tinderbox-builds/comm-central-linux/1432218801/thunderbird-41.0a1.en-US.linux-i686.crashreporter-symbols.zip', '--test-plugin-path=/builds/slave/test/build/application/thunderbird/plugins', '--log-raw=/builds/slave/test/build/bl
timed out after 1000 seconds of no output
Return code: -9
No tests run or test summary not found
Comment 11 User image Stefan Sitter 2015-05-21 09:41:56 PDT
Comment on attachment 8608816 [details] [diff] [review]
Force disable libical - v1

Looks good to me.
Comment 12 User image Treeherder Robot 2015-05-21 09:43:00 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18897
repository: comm-central
start_time: 2015-05-21T08:18:12
who: mozilla[at]kewis[dot]ch
machine: tst-linux64-spot-1127
buildname: Ubuntu VM 12.04 x64 comm-central debug test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 13 User image Philipp Kewisch [:Fallen] 2015-05-21 10:04:07 PDT
Ok, lets hope it works: https://hg.mozilla.org/comm-central/rev/e74c3369238f
Comment 14 User image Treeherder Robot 2015-05-21 10:18:47 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18913
repository: comm-central
start_time: 2015-05-21T09:39:14
who: mozilla[at]kewis[dot]ch
machine: t-snow-r4-0035
buildname: TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
Return code: 1
Comment 15 User image Treeherder Robot 2015-05-21 10:18:48 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18914
repository: comm-central
start_time: 2015-05-21T09:39:13
who: mozilla[at]kewis[dot]ch
machine: t-yosemite-r5-0005
buildname: TB Rev5 MacOSX Yosemite 10.10 comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/Daily.app/Contents/Resources/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
Return code: 1
Comment 16 User image Treeherder Robot 2015-05-21 10:18:50 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18910
repository: comm-central
start_time: 2015-05-21T09:22:13
who: mozilla[at]kewis[dot]ch
machine: t-xp32-ix-001
buildname: TB Windows XP 32-bit comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/jsdownloads/test/unit/test_DownloadImport.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 17 User image Treeherder Robot 2015-05-21 10:18:51 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18905
repository: comm-central
start_time: 2015-05-21T09:15:21
who: mozilla[at]kewis[dot]ch
machine: t-xp32-ix-139
buildname: TB Windows XP 32-bit comm-central debug test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/jsdownloads/test/unit/test_DownloadImport.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 18 User image Treeherder Robot 2015-05-21 10:18:53 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18908
repository: comm-central
start_time: 2015-05-21T09:15:46
who: mozilla[at]kewis[dot]ch
machine: t-w732-ix-093
buildname: TB Windows 7 32-bit comm-central debug test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarm.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_alarmservice.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attachment.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_attendee.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug272411.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug343792.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug350845.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug356207.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug485571.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug486186.js | xpcshell return code: 0
TypeError: Components.classes[cid] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug494140.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug523860.js | xpcshell return code: 0
TypeError: Components.classes['@mozilla.org/calendar/ics-service;1'] is undefined at resource://calendar/modules/calUtils.jsm -> file:///C:/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:62
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug653924.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug668222.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_bug759324.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | xpcshell-libical.ini:calendar/test/unit/test_calmgr.js | xpcshell return code: 0
TEST-UNEXPECTED-TIMEOUT | xpcshell-libical.ini:calendar/test/unit/test_datetime.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/jsdownloads/test/unit/test_DownloadImport.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 19 User image Treeherder Robot 2015-05-21 10:18:54 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18911
repository: comm-central
start_time: 2015-05-21T09:22:30
who: mozilla[at]kewis[dot]ch
machine: t-w732-ix-091
buildname: TB Windows 7 32-bit comm-central opt test xpcshell
revision: c64485a52e46

TEST-UNEXPECTED-TIMEOUT | xpcshell-icaljs.ini:calendar/test/unit/test_alarmservice.js | Test timed out
TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
TEST-UNEXPECTED-FAIL | toolkit/components/jsdownloads/test/unit/test_DownloadImport.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySendOldPings.js | test_overdue_old_format - [test_overdue_old_format : 116] 0 == 4
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | xpcshell return code: 0
TEST-UNEXPECTED-FAIL | toolkit/components/telemetry/tests/unit/test_TelemetrySession.js | test_saveLoadPing - [test_saveLoadPing : 275] 0 == 1
Return code: 1
Comment 20 User image Philipp Kewisch [:Fallen] 2015-05-21 12:30:28 PDT
That worked very well. Pushing to aurora, where tests will work as soon as the binary extensions patch is backported to mozilla-aurora, which I also forgot. I hope its just a day or two, I think we can live with failing tests on aurora for that time.

https://hg.mozilla.org/releases/comm-aurora/rev/d951b2a509b8
Comment 21 User image Stefan Sitter 2015-05-22 00:14:10 PDT
Now that libical is working again we can revert the change from Bug 1162300 Attachment 8602947 [details] [diff] (enable icaljs by default) in comm-central.
Comment 22 User image Philipp Kewisch [:Fallen] 2015-05-22 00:57:39 PDT
What are your thoughts on keeping ical.js enabled on comm-central only, e.g protecting it with an ifdef? In the long run I'd like to move to ical.js and this would give us some extra testing. It would mean that issues specific to libical would only be caught on aurora, but I don't recall too many of those lately and I believe most issues are only caught on beta anyway.
Comment 23 User image Stefan Sitter 2015-05-26 11:11:52 PDT
Sure. Is there an existing flag/switch to differentiate comm-central from other branches?
Comment 24 User image Philipp Kewisch [:Fallen] 2015-05-26 11:25:14 PDT
Looking at http://mxr.mozilla.org/comm-central/source/mozilla/configure.in#3532 it seems we can use NIGHTLY_BUILD. I thought that aurora has that set too, but it seems not. Alternatively there is MOZ_UPDATE_CHANNEL.
Comment 25 User image Stefan Sitter 2015-06-20 06:18:43 PDT
Created attachment 8625048 [details] [diff] [review]
enables icaljs only on comm-central

This patch changes the behavior and enables icaljs on only comm-central.
Comment 26 User image Philipp Kewisch [:Fallen] 2015-06-29 07:26:29 PDT
Pushed to comm-central changeset 99d02f70de9a
Comment 27 User image Philipp Kewisch [:Fallen] 2015-06-29 07:29:58 PDT
Backported to releases/comm-aurora changeset c836a5a3a3e6

Note You need to log in before you can comment on or make changes to this bug.